# Uses of Interface
org.eclipse.mat.snapshot.IMultiplePathsFromGCRootsComputer

Packages that use IMultiplePathsFromGCRootsComputer
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of IMultiplePathsFromGCRootsComputer in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return IMultiplePathsFromGCRootsComputer
Modifier and Type
Method
Description
`IMultiplePathsFromGCRootsComputer`
FindLeaksQuery.AccumulationPointOfGroupOfObject.`getPathsComputer()`
`IMultiplePathsFromGCRootsComputer`
FindLeaksQuery.SuspectRecordGroupOfObjects.`getPathsComputer()`
Constructors in org.eclipse.mat.inspections with parameters of type IMultiplePathsFromGCRootsComputer
Modifier
Constructor
Description
``
`AccumulationPointOfGroupOfObject(IObject object, int[] commonPath, IMultiplePathsFromGCRootsComputer pathsComputer)`

## Uses of IMultiplePathsFromGCRootsComputer in org.eclipse.mat.internal.snapshot.inspections

Methods in org.eclipse.mat.internal.snapshot.inspections with parameters of type IMultiplePathsFromGCRootsComputer
Modifier and Type
Method
Description
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection)`
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, boolean mergeFromRoots, IProgressListener listener)`
Creates a tree by class.
`static MultiplePath2GCRootsQuery.Tree`
MultiplePath2GCRootsQuery.`create(ISnapshot snapshot, IMultiplePathsFromGCRootsComputer computer, int[] selection, IProgressListener listener)`

## Uses of IMultiplePathsFromGCRootsComputer in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return IMultiplePathsFromGCRootsComputer
Modifier and Type
Method
Description
`IMultiplePathsFromGCRootsComputer`
SnapshotImpl.`getMultiplePathsFromGCRoots(int[] objectIds, Map<IClass,Set<String>> excludeList)`

## Uses of IMultiplePathsFromGCRootsComputer in org.eclipse.mat.parser.internal.snapshot

Classes in org.eclipse.mat.parser.internal.snapshot that implement IMultiplePathsFromGCRootsComputer
Modifier and Type
Class
Description
`class`
`MultiplePathsFromGCRootsComputerImpl`

## Uses of IMultiplePathsFromGCRootsComputer in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return IMultiplePathsFromGCRootsComputer
Modifier and Type
Method
Description
`IMultiplePathsFromGCRootsComputer`
ISnapshot.`getMultiplePathsFromGCRoots(int[] objectIds, Map<IClass,Set<String>> excludeMap)`
Returns an IMultiplePathsFromGCRootsComputer object, which can be used to calculate the shortest path from the GC roots to each of objects in the specified object set.